# This file created by conda-build 3.16.1
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pycryptodome-3.6.6-python_3.7-on-linux_32, last modified Fri Oct 12 15:24:43 2018
# ------------------------------------------------

package:
    name: pycryptodome
    version: 3.6.6
source:
    sha256: b3cb4af317d9b84f6df50f0cfa6840ba69556af637a83fd971537823e13d601a
    url: https://pypi.io/packages/source/p/pycryptodome/pycryptodome-3.6.6.tar.gz
build:
    number: '0'
    script: '/tmp/build/80754af9/pycryptodome_1539803765924/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv '
    string: py37hb69a4c5_0
requirements:
    build:
        - binutils_impl_linux-32 2.31.1 he3168a9_1
        - binutils_linux-32 2.31.1 he3168a9_3
        - gcc_impl_linux-32 7.3.0 he2ea625_1
        - gcc_linux-32 7.3.0 hd2c3c17_3
        - libgcc-ng 8.2.0 h9268252_1
        - libstdcxx-ng 8.2.0 h9268252_1
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.10.15 py37_0
        - gmp 6.1.2 h8afb2fd_1
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 8.2.0 h9268252_1
        - libstdcxx-ng 8.2.0 h9268252_1
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2p h14c3975_0
        - pip 10.0.1 py37_0
        - python 3.7.0 h6e4f718_3
        - readline 7.0 h7b6447c_5
        - setuptools 40.4.3 py37_0
        - sqlite 3.25.2 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.1 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - gmp >=6.1.2
        - libgcc-ng >=7.3.0
        - python >=3.7,<3.8.0a0
test:
    imports:
        - Crypto
        - Crypto.Cipher
        - Crypto.Hash
        - Crypto.IO
        - Crypto.Math
        - Crypto.Protocol
        - Crypto.PublicKey
        - Crypto.Random
        - Crypto.SelfTest
        - Crypto.SelfTest.Cipher
        - Crypto.SelfTest.Hash
        - Crypto.SelfTest.IO
        - Crypto.SelfTest.Math
        - Crypto.SelfTest.Protocol
        - Crypto.SelfTest.PublicKey
        - Crypto.SelfTest.Random
        - Crypto.SelfTest.Signature
        - Crypto.SelfTest.Util
        - Crypto.Signature
        - Crypto.Util
about:
    dev_url: https://github.com/Legrandin/pycryptodome
    doc_url: https://www.pycryptodome.org/en/latest/
    home: http://www.pycryptodome.org
    license: BSD
    license_family: BSD
    license_file: LICENSE.rst
    summary: Cryptographic library for Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - mariusvniekerk
